/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.javancss;

import org.sonar.plugins.api.Extension;
import org.sonar.plugins.api.Plugin;

import java.util.ArrayList;
import java.util.List;

public class JavaNcssPlugin implements Plugin {

  public String getKey() {
    return "javancss";
  }

  public String getName() {
    return "JavaNCSS";
  }

  public String getDescription() {
    return "Source Measurement Suite for Java. More details on the <a href='http://javancss.codehaus.org'>JavaNCSS homepage</a>.";
  }

  public List<Class<? extends Extension>> getExtensions() {
    List<Class<? extends Extension>> list = new ArrayList<Class<? extends Extension>>();
    list.add(JavaNcssMavenCollector.class);

    // jobs
    list.add(AverageClassComplexityJob.class);
    list.add(AverageFunctionComplexityJob.class);
    list.add(ClassesJob.class);
    list.add(CommentLinesJob.class);
    list.add(CommentRatioJob.class);
    list.add(ComplexityJob.class);
    list.add(FunctionsJob.class);
    list.add(JavadocsJob.class);
    list.add(NlocJob.class);
    list.add(PackagesJob.class);

    return list;
  }

  public String toString() {
    return getKey();
  }
}
